ALAS-2019-1253


Amazon Linux AMI Security Advisory: ALAS-2019-1253
Advisory Release Date: 2019-08-12 18:10 Pacific
Severity: Medium
References: CVE-2019-1125 

Issue Overview:

There is a newly discovered variant side-channel attack of Spectre V1 which leverages SWAPGS instructions to bypass KPTI/KVA mitigations. This could lead to a kernel information disclosure


Affected Packages:

kernel


Issue Correction:
Run yum update kernel to update your system.

New Packages:
i686:
    kernel-headers-4.14.133-88.112.amzn1.i686
    kernel-tools-debuginfo-4.14.133-88.112.amzn1.i686
    kernel-tools-devel-4.14.133-88.112.amzn1.i686
    kernel-debuginfo-4.14.133-88.112.amzn1.i686
    perf-4.14.133-88.112.amzn1.i686
    perf-debuginfo-4.14.133-88.112.amzn1.i686
    kernel-4.14.133-88.112.amzn1.i686
    kernel-devel-4.14.133-88.112.amzn1.i686
    kernel-tools-4.14.133-88.112.amzn1.i686
    kernel-debuginfo-common-i686-4.14.133-88.112.amzn1.i686

src:
    kernel-4.14.133-88.112.amzn1.src

x86_64:
    kernel-debuginfo-4.14.133-88.112.amzn1.x86_64
    kernel-devel-4.14.133-88.112.amzn1.x86_64
    kernel-4.14.133-88.112.amzn1.x86_64
    perf-4.14.133-88.112.amzn1.x86_64
    kernel-debuginfo-common-x86_64-4.14.133-88.112.amzn1.x86_64
    kernel-tools-debuginfo-4.14.133-88.112.amzn1.x86_64
    kernel-tools-4.14.133-88.112.amzn1.x86_64
    kernel-tools-devel-4.14.133-88.112.amzn1.x86_64
    kernel-headers-4.14.133-88.112.amzn1.x86_64
    perf-debuginfo-4.14.133-88.112.amzn1.x86_64